﻿using System;
using System.Windows;
using System.Windows.Controls;

namespace GGMUGSiliverlightApp
{
  public partial class EditCompany : UserControl
  {
    CompanyService.Company _company;
    private EditCompany()
    {
      InitializeComponent();
    }

    public EditCompany(CompanyService.Company company)
    {
      InitializeComponent();
      _company = company;
    }

    private void UserControl_Loaded(object sender, RoutedEventArgs e)
    {
      this.LayoutRoot.DataContext = _company;
    }

    private void Button_Click(object sender, RoutedEventArgs e)
    {
      CompanyService.CompanyServiceClient client = new GGMUGSiliverlightApp.CompanyService.CompanyServiceClient();
      client.UpdateCompanyCompleted += new EventHandler<GGMUGSiliverlightApp.CompanyService.UpdateCompanyCompletedEventArgs>(client_UpdateCompanyCompleted);
      client.UpdateCompanyAsync(_company);
    }

    void client_UpdateCompanyCompleted(object sender, GGMUGSiliverlightApp.CompanyService.UpdateCompanyCompletedEventArgs e)
    {
      if (e.Result == true)
      {
        MessageBox.Show("Update done", "Company", MessageBoxButton.OK);
      }
      else
      {
        MessageBox.Show("Update failed " + e.Error.ToString(), "Error", MessageBoxButton.OK);
      }
    }

    private void Button_Click_1(object sender, RoutedEventArgs e)
    {
      Page.ShowGrid();
    }
  }
}
